Main Page Class Hierarchy Compound List File List Compound Members File Members

# k2evt2ew.h File Reference

`#include <kwhdrs_ew.h>`
`#include <rw_strongmotionII.h>`

Go to the source code of this file.

## Compounds
struct | _CHANNELNAME_
struct | _k2info
## Defines
#define | MAX_CHANS_PER_BOX 24
#define | MAX_SM_PER_BOX 20
#define | MAXTRACELTH 20000
#define | SM_BOX_LEN 25
#define | SM_MAX_CHAN 18
## Typedefs
typedef _k2info | K2InfoStruct
typedef _CHANNELNAME_ | CHANNELNAME
## Functions
int | k2evt2ew (FILE *fp, char *fname, K2InfoStruct *pk2info, CHANNELNAME *pChanName, int numChans, char *NetCode, int Debug)

## Define Documentation

#define MAX_CHANS_PER_BOX 24

| Definition at line 19 of file k2evt2ew.h.

#define MAX_SM_PER_BOX 20

| Definition at line 20 of file k2evt2ew.h.

#define MAXTRACELTH 20000

| Definition at line 21 of file k2evt2ew.h. Referenced by k2evt2ew(), and peak_ground().

#define SM_BOX_LEN 25

| Definition at line 24 of file k2evt2ew.h.

#define SM_MAX_CHAN 18

| Definition at line 25 of file k2evt2ew.h. Referenced by wr_strongmotion().

## Typedef Documentation

typedef struct _CHANNELNAME_ CHANNELNAME

typedef struct _k2info K2InfoStruct

## Function Documentation

int k2evt2ew | ( | FILE * | fp,
|  | char * | fname,
|  | K2InfoStruct * | pk2info,
|  | CHANNELNAME * | pChanName,
|  | int | numChans,
|  | char * | NetCode,
|  | int | Debug
| ) |

| Definition at line 85 of file k2evt2ew.c. References _SM_INFO::altcode, CHANNEL_RW_PARMS::azimuth, RW_MW_PARMS::channel, MISC_RW_PARMS::comment, _SM_INFO::comp, _k2info::Counts, _k2info::Databuf, KFF_TAG::dataLength, STREAM_RO_PARMS::duration, EW_FAILURE, EW_SUCCESS, extract(), STREAM_RO_PARMS::flags, _k2info::frame, CHANNEL_RW_PARMS::fullscale, GRAVITY, _k2info::head, K2EW_Debug, KFF_TAG::length, _SM_INFO::loc, logit(), MAXTRACELTH, RW_MW_PARMS::misc, MISC_RW_PARMS::nchannels, _SM_INFO::net, _k2info::numDataPoints, PACKET_MAX_SIZE, peak_ground(), read_frame(), read_head(), read_tag(), MW_HEADER::roParms, MW_HEADER::rwParms, CHANNEL_RW_PARMS::sensitivity, SENSOR_ACCELERATION, SENSOR_EPI, SENSOR_FBA11, SENSOR_FBA23, SENSOR_MARKL22, SENSOR_MARKL4C, SENSOR_VELOCITY, CHANNEL_RW_PARMS::sensorType, MISC_RW_PARMS::serialNumber, _k2info::sm, SM_ALTCODE_RECEIVING_MODULE, _SM_INFO::sta, STREAM_RO_PARMS::startTime, STREAM_RO_PARMS::startTimeMsec, MISC_RW_PARMS::stnID, RO_MW_PARMS::stream, _SM_INFO::t, _k2info::tag, _SM_INFO::talt, STREAM_RO_PARMS::triggerTime, and STREAM_RO_PARMS::triggerTimeMsec.